/*
 * ----------------------------------------------------------------------------
 *
 * Gm3u  - A MP3 playlist editor
 *
 * (c) 2000 by Bodo Bauer
 *
 * ----------------------------------------------------------------------------
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * ----------------------------------------------------------------------------
 */

#include <gnome.h>


gboolean
on_gm3u_delete_event                   (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_new1_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_open1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_save1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_save_as1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_revert1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_clear1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_exit1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_preferences1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean
on_new_playlist_button_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_open_playlist_button_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_save_playlist_button_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_revert_playlist_button_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_clear_playlist_button_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_move_song_to_top_button_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_move_song_up_button_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_remove_song_button_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_move_song_down_button_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_move_song_to_bottom_button_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_preferences_destroy_event           (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_preferences_cancel_button_button_press_event
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_preferences_ok_button_button_press_event
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_preferences_apply_button_button_press_event
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_preferences_ok_button_button_press_event
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_preferences_apply_button_button_press_event
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_path_toggled                        (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_play_mp3_button_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_changes_OK_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_changes_cancel_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_select_file_ok_button_clicked       (GtkButton       *button,
                                        gpointer        select_file_dialog );

void
on_select_file_cancel_button_clicked   (GtkButton       *button,
                                        gpointer        select_file_dialog );

gboolean
on_remove_song_button_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         list );

void on_playlist_item_select (GtkWidget *widget,  gpointer user_data );
void on_playlist_item_unselect (GtkWidget *widget,  gpointer user_data );

void
on_add_song_to_palylist_button_clicked (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_move_song_down_button_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_move_song_up_button_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_move_song_to_top_button_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_move_song_to_bottom_button_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_status_bar_clear_prompt             (GnomeAppBar     *gnomeappbar,
                                        gpointer         user_data);
